PLOT3D(3)

NAME
plot3d - Plot 3-d surface plot

SYNOPSIS
plot3d(x, y, z, nx, ny, opt, side)

DESCRIPTION

Plots a three dimensional surface plot within the environment set up by plw3d(3). The surface is defined by the two-dimensional array z[nx][ny], the point z[i][j] being the value of the function at (x[i], y[j]). Note that the points in arrays x and y do not need to be equally spaced, but must be stored in ascending order. The parameter opt controls the way in which the surface is displayed. For further details see the PLplot documentation. The only difference between plmesh(3) and plot3d(3) is that plmesh(3) draws the botton side of the surface, while plot3d(3) only draws the surface as viewed from the top.

ARGUMENTS

x (PLFLT *, input)
    Pointer to set of x coordinate values at which the function is evaluated.

y (PLFLT *, input)
    Pointer to set of y coordinate values at which the function is evaluated.

z (PLFLT **, input)
    Pointer to a vectored two-dimensional array with set of function values.

nx (PLINT, input)
    Number of x values at which function is evaluated.

ny (PLINT, input)
    Number of y values at which function is evaluated.

opt (PLINT, input)
    Determines the way in which the surface is represented: opt=DRAW_LINEX: Lines are drawn showing z as a function of x for each value of y[j]. opt=DRAW_LINEY: Lines are drawn showing z as a function of y for each value of x[i]. opt=DRAW_LINEXY: Network of lines is drawn connecting points at which function is defined.

side (PLBOOL, input)
    Flag to indicate whether or not ``sides'' should be draw on the figure. If side is true sides are drawn, otherwise no sides are drawn.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.